%define pypi_name  libusb1

Name:           python-%{pypi_name}
Version:        3.1.0
Release:        %mkrel 1
Summary:        Python ctype-based wrapper around libusb1
Group:          Development/Python
License:        LGPLv2+
URL:            https://github.com/vpelletier/python-libusb1
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Pure-python wrapper for libusb-1.0. Supports all transfer types, both in
synchronous and asynchronous mode.

%package -n     python3-%{pypi_name}
Summary:        Python3 ctype-based wrapper around libusb1
Group:          Development/Python

BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pure-python wrapper for libusb-1.0. Supports all transfer types, both in
synchronous and asynchronous mode.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files usb1 libusb1

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license COPYING.LESSER
%doc README.rst


%changelog
* Fri Jun 28 2024 daviddavid <daviddavid> 3.1.0-1.mga10
+ Revision: 2077478
- new version: 3.1.0

* Wed Dec 13 2023 papoteur <papoteur> 3.0.0-3.mga10
+ Revision: 2017884
- adaptation to pyproject
- rebuild for python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 3.0.0-3.mga9
+ Revision: 1831660
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 3.0.0-2.mga9
+ Revision: 1783835
- rebuild for python-3.10

* Thu Feb 17 2022 akien <akien> 3.0.0-1.mga9
+ Revision: 1779171
- Version 3.0.0

* Sun Aug 29 2021 wally <wally> 1.9.3-1.mga9
+ Revision: 1743429
- new version 1.9.3

* Wed Mar 24 2021 daviddavid <daviddavid> 1.9.1-2.mga9
+ Revision: 1708563
- rebuild for python 3.9

* Wed Dec 30 2020 akien <akien> 1.9.1-1.mga8
+ Revision: 1665938
- Version 1.9.1

* Thu Sep 17 2020 guillomovitch <guillomovitch> 1.8-1.mga8
+ Revision: 1627459
- new version 1.8

* Tue Feb 18 2020 umeabot <umeabot> 1.7.1-2.mga8
+ Revision: 1538416
- Mageia 8 Mass Rebuild

* Wed Nov 20 2019 daviddavid <daviddavid> 1.7.1-1.mga8
+ Revision: 1461838
- new version: 1.7.1

* Sun Sep 15 2019 tv <tv> 1.7-3.mga8
+ Revision: 1441149
- rebuild for python-3.8

* Sun Sep 15 2019 tv <tv> 1.7-2.mga8
+ Revision: 1441125
- rebuild for python-3.8
- drop python2 subpkg

* Fri Apr 19 2019 wally <wally> 1.7-1.mga7
+ Revision: 1393504
- new version 1.7

* Tue Jan 08 2019 tv <tv> 1.6.6-2.mga7
+ Revision: 1351610
- rebuild with python 3.7

* Wed Dec 12 2018 akien <akien> 1.6.6-1.mga7
+ Revision: 1340503
- Version 1.6.6

* Thu Sep 20 2018 umeabot <umeabot> 1.6.4-3.mga7
+ Revision: 1289169
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.6.4-2.mga7
+ Revision: 1135482
- Rebuild for python 3.6

* Wed Feb 08 2017 akien <akien> 1.6.4-1.mga6
+ Revision: 1085160
- Version 1.6.4

* Sun Jan 29 2017 akien <akien> 1.6.3-1.mga6
+ Revision: 1083909
- Version 1.6.3

* Sat Jan 07 2017 akien <akien> 1.6.2-1.mga6
+ Revision: 1080422
- Version 1.6.2
- Version 1.6.1

* Thu Nov 24 2016 akien <akien> 1.6-1.mga6
+ Revision: 1069719
- Version 1.6

* Sat Oct 29 2016 akien <akien> 1.5.3-1.mga6
+ Revision: 1063994
- Version 1.5.3

* Sat Apr 30 2016 akien <akien> 1.5.0-1.mga6
+ Revision: 1008066
- imported package python-libusb1

